0

I'm using VSCode and would like to have language support for Standard ML. The one extension that pops up on the extension marketplace did not work for me because it had the error

Cannot find "sml.json" in "/Users/douira/Documents/smltest"

and there is absolutely no documentation on this unmaintained extension. The repository for it returns a 404. Is there a better option?

1

This seems to do the trick: To use this in your own programs, you really only need the sml-json.sml file. from https://github.com/standardml/SML-JSON/blob/d6318d3423f5681309dcc24fed51de7f7d5a7603/README#L14

| improve this answer | |
  • and how does this file provide language support in my IDE? – douira Apr 15 at 12:35
  • Will get back to you soon as I figure it out. Still setting up myself. Having said, once you have that file in your project, it generates a file used by the compiler, apparently. Will update you. – armand Apr 16 at 0:24
  • Got it working with github.com/stonebuddha/vscode-better-sml and then adding ` "[sml]": { "editor.defaultFormatter": "stonebuddha.vscode-better-sml" },```` to settings.json in vscode. Hope that helps. – armand Apr 18 at 2:18

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.